Create Right

Create Right
Create a new right.

Creates a new right associated with a service.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/rights
COPY
Request Body
Right of type(s) application/json
Required

Show optional properties

{
    "name": "string"
}
{
    "name": "string",
    "id": "string",
    "description": "string",
    "bundleKey": "string",
    "category": "string",
    "serviceNamespace": "string",
    "rightType": "string",
    "impliedRights": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "isPublishable": false
}
string
name
Required
Constraints: minLength: 1 maxLength: 128

name

string
id
Optional
Constraints: maxLength: 128

id

string
description
Optional
Constraints: minLength: 1 maxLength: 256

description

string
bundleKey
Optional
Constraints: minLength: 1 maxLength: 128

bundleKey

string
category
Optional
Constraints: minLength: 1 maxLength: 128

category

string
serviceNamespace
Optional
Constraints: minLength: 1 maxLength: 128

serviceNamespace

string
rightType
Optional

rightType

Enumeration: VIEW, MODIFY
array of object
impliedRights
Optional

The set of implied rights.

boolean
isPublishable
Optional

Whether or not this right is publishable to organizations or sub-providers.

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns Right of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "string",
    "description": "string",
    "bundleKey": "string",
    "category": "string",
    "serviceNamespace": "string",
    "rightType": "string",
    "impliedRights": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "isPublishable": false
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/cloudapi/1.0.0/rights